Subject: cmucl fails at initialization
From: "Faré" <[email-masked]>
To: [email-masked]
Date: Fri, 19 Jan 2007 23:28:17 -0500

Package: cmucl
Version: 19d-20061116-1
Severity: normal

*** Please type your report below this line ***
Since I last upgraded cmucl, I get the following error and backtrace
whenever I start it.

$ cmucl

Error in function UNIX::SIGSEGV-HANDLER:  Segmentation Violation at #x10044FB8.
   [Condition of type SIMPLE-ERROR]

Restarts:
  0: [ABORT] Skip remaining initializations.

Debug  (type H for help)

(UNIX::SIGSEGV-HANDLER #<unused-arg>
                       #<unused-arg>
                       #.(SYSTEM:INT-SAP #x3FFFCA7C))
Source: Error finding source:
Error in function LISP::%ENUMERATE-SEARCH-LIST:  Undefined search list: default
0] backtrace

0: (UNIX::SIGSEGV-HANDLER #<unused-arg>
                          #<unused-arg>
                          #.(SYSTEM:INT-SAP #x3FFFCA7C))
1: (UNIX::SIGSEGV-HANDLER 3
                          #<unused-arg>
                          #<unused-arg>
                          #.(SYSTEM:INT-SAP #x3FFFCA7C))[:EXTERNAL]
2: ("call_into_lisp+#x8C [#x805560C] cmucl")
3: ("funcall3+#x32 [#x8055422] cmucl")
4: ("interrupt_handle_now+#x105 [#x8050940] cmucl")
5: (EQUAL #<Unprintable Instance {6C69663D}> #<ARRAY-TYPE SIMPLE-BASE-STRING>)
6: (EQUAL
    (#<Unprintable Instance {6C69663D}> . #<Unprintable Instance {682F3A65}>)
    (#<ARRAY-TYPE SIMPLE-BASE-STRING> #<MEMBER-TYPE NULL>))
7: ((FLET #:G30 KERNEL::%TYPE-INTERSECTION-CACHE-LOOKUP))
8: (KERNEL::%TYPE-INTERSECTION
    (#<ARRAY-TYPE SIMPLE-BASE-STRING> #<MEMBER-TYPE NULL>))
9: (KERNEL::UNION-COMPLEX-SUBTYPEP-ARG2 #<ARRAY-TYPE SIMPLE-BASE-STRING>
                                        #<UNION-TYPE LIST>)
10: (KERNEL:CSUBTYPEP #<ARRAY-TYPE SIMPLE-BASE-STRING> #<UNION-TYPE LIST>)
11: (MAKE-SEQUENCE SIMPLE-STRING 11 :INITIAL-ELEMENT NIL)
12: (LISP::CONCAT-TO-SIMPLE* SIMPLE-STRING "/home/fare" "/")
13: (DEFAULT-DIRECTORY)
14: (LISP::ENVIRONMENT-INIT)
15: ((LABELS LISP::%RESTART-LISP SAVE-LISP))
16: ((LABELS LISP::RESTART-LISP SAVE-LISP))

0] (quit)
$

Interestingly, if I run cmucl -noinit, I get no such error.
However, I have no initialization file, as far as I can tell: neither of
  ~/init.lisp
  ~/.cmucl-init.lisp
exists
And strace fails on cmucl after the first memory-management-related segfault
so I don't know what's going on.

Also interestingly, if another user starts cmucl, it works.
If same user starts with a different $HOME, it also fails.
If another user with essentially the same config starts it, it works.
It used to all work fine.
Failure 100% reproducible in my current environment.
I'm baffled.

[ François-René ÐVB Rideau | Reflection&Cybernethics | http://fare.tunes.org ]
May your desire to be correct overcome your desire to have been correct
(which you were not, anyway).           -- Faré

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16.9-blefuscu
Locale: LANG=en_US.iso-8859-1, LC_CTYPE=en_US.iso-8859-1
(charmap=ISO-8859-1) (ignored: LC_ALL set to en_US.iso-8859-1)

Versions of packages cmucl depends on:
ii  common-lisp-controller        6.9        This is a Common Lisp source and c
ii  debconf [debconf-2.0]         1.5.11     Debian configuration management sy

Versions of packages cmucl recommends:
pn  binfmt-support                <none>     (no description available)

-- debconf information:
  cmucl/upgradeproblems: